python-ptyprocess_0.5.2-1_all.deb


Advertisement

Description

python-ptyprocess - Run a subprocess in a pseudo terminal from Python 2

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-ptyprocess
Package version 0.5.2
Package release 1
Package architecture all
Package type deb
Installed size 53 B
Download size 12.28 KB
Official Mirror archive.ubuntu.com
Launch a subprocess in a pseudo terminal (pty), and interact with both
the process and its pty.
Sometimes, piping stdin and stdout is not enough. There might be a password
prompt that doesn't read from stdin, output that changes when it's going to
a pipe rather than a terminal, or curses-style interfaces that rely on a
terminal. If you need to automate these things, running the process in a
pseudo terminal (pty) is the answer.
This package installs the library for Python 2.

Alternatives

Package Version Architecture Repository
python-ptyprocess_0.5.2-1_all.deb 0.5.2 all Ubuntu Universe
python-ptyprocess - - -

Requires

Name Value
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-ptyprocess_0.5.2-1_all.deb
Source Package ptyprocess

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-ptyprocess deb package:
    # sudo apt-get install python-ptyprocess

Files

Path
/usr/lib/python2.7/dist-packages/ptyprocess/__init__.py
/usr/lib/python2.7/dist-packages/ptyprocess/_fork_pty.py
/usr/lib/python2.7/dist-packages/ptyprocess/ptyprocess.py
/usr/lib/python2.7/dist-packages/ptyprocess/util.py
/usr/share/doc/python-ptyprocess/changelog.Debian.gz
/usr/share/doc/python-ptyprocess/copyright

Changelog

2017-07-03 - Julien Puydt <julien.puydt@laposte.net>
ptyprocess (0.5.2-1) unstable; urgency=medium
* New upstream release.
* Push standards-version to 4.0.0.
* Rewrite d/rules as pybuild doesn't support flit.
2016-05-13 - Julien Puydt <julien.puydt@laposte.net>
ptyprocess (0.5.1-1) unstable; urgency=medium
[Ondřej Nový]
* Fixed VCS URL (https)
[Julien Puydt]
* New upstream release.
* Pushed standards-version up.
2015-06-20 - Julien Puydt <julien.puydt@laposte.net>
ptyprocess (0.5-1) unstable; urgency=medium
* Initial release. (Closes: #787342)

See Also

Package Description
python-publicsuffix_1.1.0-2_all.deb Python module to get a domain suffix using the Public Suffix List
python-pudb_2017.1.2-2_all.deb full-screen, console-based Python debugger
python-pulp_1.6.0+dfsg1-1build2_all.deb LP modeler - Python 2.7
python-purl_1.3.1-1_all.deb URL interrogation and manipulation
python-pushy_0.5.3-1ubuntu1_i386.deb Simple interface for connecting two python interpreters
python-pwquality_1.4.0-1_i386.deb Python bindings for libpwquality
python-py_1.4.34-2ubuntu1_all.deb Advanced Python development support library (Python 2)
python-pyalsa_1.0.29-1_i386.deb Official ALSA Python binding library
python-pyao_0.82-5build1_i386.deb Python interface to the Audio Output library
python-pyassimp_3.3.1~dfsg-5_all.deb 3D model import library (Python bindings)
python-pyatspi2_2.24.0+dfsg-1_all.deb Transitional package for assistive technology Python bindings
python-pyatspi_2.24.0+dfsg-1_all.deb Assistive Technology Service Provider Interface - Python bindings
python-pyaudio-doc_0.2.11-1build2_all.deb Documentation for Python bindings for PortAudio v19
python-pyaudio_0.2.11-1build2_i386.deb Python bindings for PortAudio v19
python-pyavm_0.9.4-1_all.deb Python module to handle Astronomy Visualization Metadata Standard
Advertisement
Advertisement